%global tar_version 4.3.3
%global import_path   github.com/ovirt/go-ovirt
%global gopath        %{_datadir}/gocode
%global build_gopath  %{buildroot}/%{gopath}

Name: go-ovirt-engine-sdk4
Summary: Go SDK for version 4 of the oVirt Engine API
Version: 4.3.3
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://godoc.org/%{import_path}
Source: ovirt-engine-sdk-go-%{tar_version}.tar.gz

BuildRequires: golang
BuildRequires: golang-github-stretchr-testify-devel

%description
This package contains the Go SDK for version 4 of the oVirt Engine API.


%package devel
BuildRequires:  golang
Requires:       golang
Summary:        Go SDK for version 4 of the oVirt Engine API
Provides:       golang(%{import_path}) = %{version}-%{release}

%description devel
This package contains the Go SDK for version 4 of the oVirt Engine API.


%prep
%setup -q -n ovirt-engine-sdk-go-%{tar_version}
# many golang binaries are "vendoring" (bundling) sources, so remove them.
# Those dependencies need to be packaged independently.
rm -rf vendor


%build


%install
install -d %{build_gopath}/src/%{import_path}
cp -av *.go %{build_gopath}/src/%{import_path}


%check
export GOPATH=%{build_gopath}
go get -u github.com/stretchr/testify/assert
go test -v ./
rm -fr %{build_gopath}/src/github.com/stretchr
rm -fr %{build_gopath}/pkg/*


%clean
rm -rf %{buildroot}


%files devel
%defattr(-,root,root,-)
%doc README.md examples
%license LICENSE.txt
%dir %{gopath}/src/%{import_path}
%{gopath}/src/%{import_path}/*.go


%changelog
* Tue Jan 29 2019 Joey Ma <majunjiev@gmail.com> - 4.3.0-1
- Update model to 4.3.20
- Use semantic versioning to manage the dependency of this sdk
- Add support for oVirt CI System integration
